1. 哈特斯坦德
  2. 關於WP Media Folder的售前問題
  3. 7月03 2020日,星期五
  4.  通過電子郵件訂閱
你好,

您的插件帶來了一些獨特的功能,例如與Google相簿的連接。 在將此類解決方案集成到較大的網站中之前,我開始詢問您的解決方案的使用經驗。
在使用您的插件與我周圍的開發人員交談後,我得到報告,關於您正在使用的某些第三方軟件存在一些問題。

一個例子是食屍鬼。 據他們所知,您不能確保使用最新的Guzzle,例如: https://nimb.ws/I2jUxc。 在大多數情況下,這將無關緊要。
當前版本的Guzzle是7.0 .1。 但是有時使用舊版本會導致其他使用Guzzle作為其基本解決方案的插件或解決方案提供商的潛在問題。

因此,問題在於您更新所使用的第三方軟件的頻率的策略。
這將有助於我了解您對此的看法,以及與其他在Wordpress使用Guzzle的解決方案相結合的技術穩定性。

謝謝。
接受答案待審核
你好


The current version of Guzzle is 7.0.1. But sometimes using older version this leads to potential problems with other plugin or solution providers who use Guzzle as their base solution.

相反,使用最新版本可能會導致與使用舊版本的其他插件不兼容 :D
第三方也可以向後兼容,等等。
對於WordPress插件而言,這是一個問題,因為我們必須處理數以千計的其他插件,這些插件也需要使用不同版本的第三方代碼進行處理。
坦率地說,沒有完美的解決方案,因為我們必須與不同類型的客戶打交道。 一些用戶擁有不再維護的舊插件,但別無選擇,只能保留它們;另一些用戶則擁有所有最新的插件,插件不會以相同的方式加載api / sdk ...
我們還處理不同的sdks,有時無法按原樣集成它們,以避免使用20MB的插件包(這對於大多數用戶來說是個問題)。

當前,我們會在插件的主要版本上更新它,或者如果我們知道安全問題或不兼容,則會對其進行更新。
由於我們無法與所有其他現有插件一起測試我們的插件,因此我們有時會不兼容。 因此,我們所有的計劃都包括訪問我們的支持團隊的權限,開發人員將檢查問題並與您解決。
當然,我們總是建議我們的客戶之前在登台網站上測試任何更新,以便可以在生產階段之前檢測並修復任何不兼容性。

不過,這是我們計劃在所有插件上進行改進的工作。

最好的祝福,
接受答案待審核
嗨,達米安,

感謝您非常有說服力的回答。 是的,您完全正確,您永遠無法避免兼容性問題。
當我看到售前問題的答案速度很快時,我也深信支持團隊將盡快做出答复。 這對我來說是最重要的。

感謝您抽出寶貴的時間來關注這個話題。 將考慮為將來的項目提供解決方案。

最好的祝福
  • 頁面:
  • 1


目前還沒有回复。
成為第一位回复此帖子的人!